ICU 55.1 55.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- safeClone() : icu::Collator , icu::SearchIterator , icu::StringSearch
- saveState() : icu::BytesTrie , icu::UCharsTrie
- scriptDisplayName() : icu::LocaleDisplayNames
- SearchIterator() : icu::SearchIterator
- secondaryOrder() : icu::CollationElementIterator
- select() : icu::PluralRules , icu::PluralFormat::PluralSelector , icu::PluralFormat::PluralSelectorAdapter , icu::PluralRules
- SelectFormat() : icu::SelectFormat
- serialize() : icu::UnicodeSet
- set : icu::UnicodeSetIterator , icu::ErrorCode , icu::StringPiece , icu::UnicodeSet , icu::Calendar
- set2DigitYearStart() : icu::SimpleDateFormat
- setAmPmStrings() : icu::DateFormatSymbols
- setAppendItemFormat() : icu::DateTimePatternGenerator
- setAppendItemName() : icu::DateTimePatternGenerator
- setArray() : icu::Formattable
- setAttribute() : icu::Collator , icu::DecimalFormat , icu::SearchIterator , icu::RuleBasedCollator
- setAuxData() : icu::LEGlyphStorage
- setBeginIndex() : icu::FieldPosition
- setBooleanAttribute() : icu::DateFormat
- setBreakIterator() : icu::SearchIterator
- setBreakType() : icu::RuleBasedBreakIterator
- setCalendar() : icu::DateFormat
- setCalendarLenient() : icu::DateFormat
- setCharAt() : icu::UnicodeString
- setCharIndex() : icu::LEGlyphStorage
- setChars() : icu::StringEnumeration
- setChoices() : icu::ChoiceFormat
- setCollator() : icu::StringSearch
- setContext() : icu::DateFormat , icu::DecimalFormat , icu::NumberFormat , icu::RuleBasedNumberFormat , icu::SimpleDateFormat
- setCurrency() : icu::DecimalFormat , icu::NumberFormat
- setCurrencyPluralInfo() : icu::DecimalFormat
- setCurrencyPluralPattern() : icu::CurrencyPluralInfo
- setCurrencyUsage() : icu::DecimalFormat
- setData() : icu::UnicodeFilter , icu::UnicodeFunctor
- setDate() : icu::Formattable
- setDateFormatSymbols() : icu::SimpleDateFormat
- setDateIntervalInfo() : icu::DateIntervalFormat
- setDateTimeFormat() : icu::DateTimePatternGenerator
- setDecimal() : icu::DateTimePatternGenerator
- setDecimalFormatSymbols() : icu::DecimalFormat , icu::RuleBasedNumberFormat
- setDecimalNumber() : icu::Formattable
- setDecimalPatternMatchRequired() : icu::DecimalFormat
- setDecimalSeparatorAlwaysShown() : icu::DecimalFormat
- setDefault() : icu::Locale , icu::TimeZone
- setDefaultParseOptions() : icu::TimeZoneFormat
- setDefaultRuleSet() : icu::RuleBasedNumberFormat
- setDouble() : icu::Formattable
- setDSTSavings() : icu::SimpleTimeZone
- setEndIndex() : icu::FieldPosition
- setEndRule() : icu::SimpleTimeZone
- setEraNames() : icu::DateFormatSymbols
- setEras() : icu::DateFormatSymbols
- setErrorIndex() : icu::ParsePosition
- setExponentSignAlwaysShown() : icu::DecimalFormat
- setFallbackIntervalPattern() : icu::DateIntervalInfo
- setField() : icu::FieldPosition
- setFindProgressCallback() : icu::RegexMatcher
- setFirstDayOfWeek() : icu::Calendar
- setFormat() : icu::MessageFormat
- setFormats() : icu::MessageFormat
- setFormatWidth() : icu::DecimalFormat
- setFrom() : icu::TimeZoneTransition
- setFromPOSIXID() : icu::Locale
- setGlyphID() : icu::LEGlyphStorage
- setGMTOffsetDigits() : icu::TimeZoneFormat
- setGMTOffsetPattern() : icu::TimeZoneFormat
- setGMTPattern() : icu::TimeZoneFormat
- setGMTZeroFormat() : icu::TimeZoneFormat
- setGregorianChange() : icu::GregorianCalendar
- setGroupingSize() : icu::DecimalFormat
- setGroupingUsed() : icu::DecimalFormat , icu::NumberFormat
- setID() : icu::TimeZone , icu::Transliterator
- setIndex() : icu::CharacterIterator , icu::ParsePosition , icu::UCharCharacterIterator
- setIndex32() : icu::CharacterIterator , icu::UCharCharacterIterator
- setIndexOnly() : icu::Normalizer
- setInflowLabel() : icu::AlphabeticIndex
- setInt64() : icu::Formattable
- setIntervalPattern() : icu::DateIntervalInfo
- setKeywordValue() : icu::Locale
- setLastModified() : icu::VTimeZone
- setLenient() : icu::NumberFormat , icu::RuleBasedNumberFormat , icu::Calendar , icu::DateFormat
- setLocale() : icu::CurrencyPluralInfo , icu::MessageFormat , icu::PluralFormat , icu::TimeUnitFormat
- setLocaleIDs() : icu::Format
- setLocales() : icu::Collator , icu::RuleBasedCollator
- setLocalPatternChars() : icu::DateFormatSymbols
- setLong() : icu::Formattable
- setMatchCallback() : icu::RegexMatcher
- setMatchLength() : icu::SearchIterator
- setMatchNotFound() : icu::SearchIterator
- setMatchStart() : icu::SearchIterator
- setMaximumContextLength() : icu::Transliterator
- setMaximumFractionDigits() : icu::DecimalFormat , icu::NumberFormat
- setMaximumIntegerDigits() : icu::DecimalFormat , icu::NumberFormat
- setMaximumSignificantDigits() : icu::DecimalFormat
- setMaxLabelCount() : icu::AlphabeticIndex
- setMaxVariable() : icu::Collator , icu::RuleBasedCollator
- setMeasureFormatLocale() : icu::MeasureFormat
- setMinimalDaysInFirstWeek() : icu::Calendar
- setMinimumExponentDigits() : icu::DecimalFormat
- setMinimumFractionDigits() : icu::DecimalFormat , icu::NumberFormat
- setMinimumIntegerDigits() : icu::DecimalFormat , icu::NumberFormat
- setMinimumSignificantDigits() : icu::DecimalFormat
- setMode() : icu::Normalizer
- setMonths() : icu::DateFormatSymbols
- setMultiplier() : icu::DecimalFormat
- setNarrowEras() : icu::DateFormatSymbols
- setNegativePrefix() : icu::DecimalFormat
- setNegativeSuffix() : icu::DecimalFormat
- setNumberFormat() : icu::DateFormat , icu::PluralFormat , icu::TimeUnitFormat
- setOffset() : icu::CollationElementIterator , icu::SearchIterator , icu::StringSearch
- setOption() : icu::Normalizer
- setOverflowLabel() : icu::AlphabeticIndex
- setPadCharacter() : icu::DecimalFormat
- setPadPosition() : icu::DecimalFormat
- setParseIntegerOnly() : icu::DecimalFormat , icu::NumberFormat
- setPattern() : icu::StringSearch
- setPatternForCurrencySpacing() : icu::DecimalFormatSymbols
- setPluralRules() : icu::CurrencyPluralInfo
- setPosition() : icu::LEGlyphStorage
- setPositivePrefix() : icu::DecimalFormat
- setPositiveSuffix() : icu::DecimalFormat
- setQuarters() : icu::DateFormatSymbols
- setRawOffset() : icu::SimpleTimeZone , icu::RuleBasedTimeZone , icu::TimeZone , icu::VTimeZone
- setRelatedYear() : icu::Calendar
- setReorderCodes() : icu::Collator , icu::RuleBasedCollator
- setRepeatedWallTimeOption() : icu::Calendar
- setRoundingIncrement() : icu::DecimalFormat
- setRoundingMode() : icu::DecimalFormat
- setScientificNotation() : icu::DecimalFormat
- setSecondaryGroupingSize() : icu::DecimalFormat
- setShortMonths() : icu::DateFormatSymbols
- setShortWeekdays() : icu::DateFormatSymbols
- setSignificantDigitsUsed() : icu::DecimalFormat
- setSkippedWallTimeOption() : icu::Calendar
- setSource() : icu::CanonicalIterator
- setStackLimit() : icu::RegexMatcher
- setStartRule() : icu::SimpleTimeZone
- setStartYear() : icu::SimpleTimeZone
- setState : UCharIterator
- setStrength() : icu::Collator
- setString() : icu::Formattable
- setSymbol() : icu::DecimalFormatSymbols
- setText() : icu::StringCharacterIterator , icu::Normalizer , icu::BreakIterator , icu::Normalizer , icu::RuleBasedBreakIterator , icu::StringCharacterIterator , icu::UCharCharacterIterator , icu::CollationElementIterator , icu::SearchIterator , icu::StringSearch
- setTime() : icu::Calendar , icu::TimeZoneTransition
- setTimeInMillis() : icu::Calendar
- setTimeLimit() : icu::RegexMatcher
- setTimeSeparatorString() : icu::DateFormatSymbols
- setTimeZone() : icu::Calendar , icu::DateFormat , icu::DateIntervalFormat
- setTimeZoneFormat() : icu::SimpleDateFormat
- setTimeZoneNames() : icu::TimeZoneFormat
- setTo() : icu::UnicodeString , icu::TimeZoneTransition , icu::UnicodeString
- setToBogus() : icu::UnicodeSet , icu::Locale , icu::UnicodeString
- setToEnd() : icu::CharacterIterator
- setToStart() : icu::CharacterIterator
- setTrace() : icu::RegexMatcher
- setTZURL() : icu::VTimeZone
- setUnderflowLabel() : icu::AlphabeticIndex
- setVariableTop() : icu::Collator , icu::RuleBasedCollator , icu::Collator , icu::RuleBasedCollator
- setWeekdays() : icu::DateFormatSymbols
- setYearNames() : icu::DateFormatSymbols
- setZodiacNames() : icu::DateFormatSymbols
- setZoneStrings() : icu::DateFormatSymbols
- SHORT : icu::DateFormatSymbols , icu::TimeZone
- SHORT_COMMONLY_USED : icu::TimeZone
- SHORT_GENERIC : icu::TimeZone
- SHORT_GMT : icu::TimeZone
- SimpleDateFormat() : icu::SimpleDateFormat
- SimpleNumberFormatFactory() : icu::SimpleNumberFormatFactory
- SimpleTimeZone() : icu::SimpleTimeZone
- size : UConverterFromUnicodeArgs , UConverterToUnicodeArgs , icu::StringPiece , UIDNAInfo , icu::UnicodeSet , icu::TimeZoneNames::MatchInfoCollection , UDataInfo
- sizeOfStruct : UText
- sizeofUChar : UDataInfo
- skipElementsBySomeUnits() : icu::StringTrieBuilder
- snext() : icu::StringEnumeration
- source : UConverterFromUnicodeArgs , UConverterToUnicodeArgs
- sourceLimit : UConverterToUnicodeArgs , UConverterFromUnicodeArgs
- span() : icu::UnicodeSet
- spanBack() : icu::UnicodeSet
- spanBackUTF8() : icu::UnicodeSet
- spanQuickCheckYes() : icu::FilteredNormalizer2 , icu::Normalizer2
- spanUTF8() : icu::UnicodeSet
- spare1 : UTextFuncs
- spare2 : UTextFuncs
- spare3 : UTextFuncs
- split() : icu::RegexMatcher , icu::RegexPattern , icu::RegexMatcher
- STANDARD_TIME : icu::DateTimeRule
- start : UCharIterator , UTransPosition , icu::RegexMatcher
- start64() : icu::RegexMatcher
- startIndex() : icu::Normalizer , icu::CharacterIterator
- startsWith() : icu::UnicodeString
- State() : icu::UCharsTrie::State , icu::BytesTrie::State
- staticArray : USerializedSet
- strengthOrder() : icu::CollationElementIterator
- string : icu::UnicodeSetIterator
- StringByteSink() : icu::StringByteSink< StringClass >
- StringCharacterIterator() : icu::StringCharacterIterator
- stringCount : icu::UnicodeSetIterator
- StringEnumeration() : icu::StringEnumeration
- StringPiece() : icu::StringPiece
- StringSearch() : icu::StringSearch
- StringTrieBuilder() : icu::StringTrieBuilder
- substr() : icu::StringPiece
- suppressBreakAfter() : icu::FilteredBreakIteratorBuilder
- swapLong() : icu::LESwaps
- swapWord() : icu::LESwaps
- syntaxError() : icu::Format